interface Props {
    fill: string
}

const DeptLogo = ({ fill }: Props) => {
    return (
        <svg
            width="89"
            height="25"
            viewBox="0 0 89 25"
            fill="none"
            xmlns="http://www.w3.org/2000/svg"
        >
            <path
                d="M22.4585 12.2351C22.4585 6.03142 19.0718 1.25206 10.4626 1.25206H1.25208V23.2181H10.4626C19.0718 23.2181 22.4585 18.4388 22.4585 12.2351ZM16.1915 12.2351C16.1915 16.5713 13.7544 18.1856 10.3677 18.1856H7.23419V6.28464H10.3677C13.7544 6.28464 16.1915 7.89885 16.1915 12.2351Z"
                fill={fill}
            />
            <path
                d="M23.8911 23.2181H41.2994V18.2172H29.8732V14.4507H39.9067V9.70296H29.8732V6.25298H41.0145V1.25206H23.8911V23.2181Z"
                fill={fill}
            />
            <path
                d="M61.564 8.88007C61.564 3.34106 58.0191 1.25206 52.5117 1.25206H42.9846V23.2181H48.9667V16.5081H52.5117C58.0191 16.5081 61.564 14.419 61.564 8.88007ZM55.3604 8.88007C55.3604 11.0324 54.3476 11.9186 51.9103 11.9186H48.9667V5.84152H51.9103C54.3476 5.84152 55.3604 6.72775 55.3604 8.88007Z"
                fill={fill}
            />
            <path
                d="M62.2169 6.37959H69.1485V23.2181H75.1306V6.37959H82.0623V1.25206H62.2169V6.37959Z"
                fill={fill}
            />
            <path
                d="M79.5767 20.1428C79.5767 22.1306 81.1858 23.7397 83.1739 23.7397C85.1615 23.7397 86.7867 22.1306 86.7867 20.1428C86.7867 18.1549 85.1615 16.53 83.1739 16.53C81.1858 16.53 79.5767 18.1549 79.5767 20.1428ZM80.2708 20.1428C80.2708 18.5021 81.5644 17.161 83.1739 17.161C84.7826 17.161 86.0923 18.5021 86.0923 20.1428C86.0923 21.7834 84.7826 23.1086 83.1739 23.1086C81.5644 23.1086 80.2708 21.7834 80.2708 20.1428ZM81.4856 21.9255H82.6211V20.6949H83.2686L83.9465 21.9255H85.1772L84.3567 20.4741C84.7356 20.3163 85.019 19.8904 85.019 19.417C85.019 18.5809 84.4828 18.1865 83.5676 18.1865H81.4856V21.9255ZM83.8674 19.4328C83.8674 19.7325 83.6788 19.8588 83.3155 19.8588H82.6211V19.0699H83.3155C83.6788 19.0699 83.8674 19.1647 83.8674 19.4328Z"
                fill={fill}
            />
        </svg>
    )
}

DeptLogo.defaultProps = {
    fill: 'white',
}

export default DeptLogo
